//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.12.23 at 02:14:59 PM CET 
//


package com.github.soshibby.philips.pft5500.integration.converters.speaker_event;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the org.upnp.schemas.metadata_1_0.rcs package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.upnp.schemas.metadata_1_0.rcs
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Event }
     */
    public Event createEvent() {
        return new Event();
    }

    /**
     * Create an instance of {@link Event.InstanceID }
     */
    public Event.InstanceID createEventInstanceID() {
        return new Event.InstanceID();
    }

    /**
     * Create an instance of {@link Event.InstanceID.PresetNameList }
     */
    public Event.InstanceID.PresetNameList createEventInstanceIDPresetNameList() {
        return new Event.InstanceID.PresetNameList();
    }

    /**
     * Create an instance of {@link Event.InstanceID.Volume }
     */
    public Event.InstanceID.Volume createEventInstanceIDVolume() {
        return new Event.InstanceID.Volume();
    }

    /**
     * Create an instance of {@link Event.InstanceID.Mute }
     */
    public Event.InstanceID.Mute createEventInstanceIDMute() {
        return new Event.InstanceID.Mute();
    }

}
